Skip to main content
`Ctrl`+`K`

# EPSGDSetBlockSize

Sets the number of vectors to be added to the searching space in every iteration.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGDSetBlockSize(EPS eps,PetscInt blocksize)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- blocksize - number of vectors added to the search space in every iteration

## Options Database Key

- -eps_gd_blocksize <blocksize> - number of vectors added to the search space in every iteration

## Note

Detailed information can be found at [Romero and Roman, 2014].

## References

[Rom14]

E. Romero and J. E. Roman. A parallel implementation of Davidson methods for large-scale eigenvalue problems in SLEPc. ACM Trans. Math. Software, 40(2):13:1–13:29, 2014. doi:10.1145/2543696.

## See Also

EPS: Eigenvalue Problem Solver, `EPSGD`, `EPSGDSetKrylovStart()`

## Level

advanced

## Location

src/eps/impls/davidson/gd/gd.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages